community/qutebrowser: depend on py3-pygments

As reported in #14102 (for 3.16-stable), also in
qutebrowser/requirements.txt
9 jobs for !37685 with fix-qutebrowser-dep in 12 seconds (queued for 2 seconds)
latest merge request